const options = {
  // Filter out flood of cons:warn deprecation and other unimportant cons:info msgs
  collectTypes: ['cons:log', 'cons:error', 'cy:log', 'cy:xhr', 'cy:request', 'cy:intercept', 'cy:command'],
  // experimental and instable, use with care!
  enableContinuousLogging: true
}
require('cypress-terminal-report/src/installLogsCollector')(options);

describe('Test dashboard', () => {
  it('passes', () => {

    cy.visit('/')

    // Log in using credentials from env vars.
    cy.get('#identifier.form-control')
      .type(Cypress.env('SSO_USER'))
    cy.get('#password.form-control')
      .type(Cypress.env('SSO_PASSWORD'))
    cy.contains('Log in').click()

    // Check that the support link is visible.
    cy.contains('Access documentation website')
  })
})
